import { defineStore } from 'pinia'

export const useAppStore = defineStore({
    id: 'app',
    state: () => ({
        hasData: false,
        results: {}
    }),
    actions: {
        toggleData() {
            this.hasData = !this.hasData
            console.log('Toggled Has Data. New value', this.hasData)
        },
        storeResults(results) {
            this.results = JSON.parse(JSON.stringify(results))
        }
    }
})